import java.util.Scanner;

//2. UserInput
public class UserInput {
	
	// user input
	private static Scanner scan = new Scanner(System.in);

	private UserInput() {}
	
	public static String getStringValue(String description)	{
		System.out.print(description);
		String line = scan.nextLine();
		return line;
	}
	
	public static int getIntegerValue(String description) {
		System.out.print(description);
		int value;
		while(true) {
			String line = scan.nextLine();
			try {
				value = Integer.parseInt(line);
				break;
			}
			catch (Exception e) {
				System.out.print("Error! Please enter [int value]: ");
			}
		}
		return value;
	}
	
	public static Person getPerson() {
		String name = getStringValue("Please enter [person name]: ");
		String work = getStringValue("Please enter [person work phone]: ");
		String home = getStringValue("Please enter [person home phone]: ");
		String cell = getStringValue("Please enter [person cell phone]: ");
		String email = getStringValue("Please enter [person email]: ");
		return new Person(name, new PhoneNumber(work, home, cell), email);
	}

	public static Person[] getPersons(int num) {
		Person[] personArray = new Person[num];
		for (int i=0; i<personArray.length; i++) {
			personArray[i] = getPerson();
		}
		return personArray;
	}
	
	public static boolean getExitKey() {
		System.out.print("Press q-key to exit the program or enter-key to start the program: ");
		String s = scan.nextLine();
        if (s.contentEquals("q"))
            return true;
        else
        	return false;
	}
}
